nvmf_register_ctrl(2)

NAME
nvmf_register_ctrl - Perform registration task with a DC

SYNOPSIS
int nvmf_register_ctrl (nvme_ctrl_t c , enum nvmf_dim_tas tas , __u32 *result );

ARGUMENTS

c   Controller instance

tas Task field of the Command Dword 10 (cdw10). Indicates whether to perform a Registration, Deregistration, or Registration-update.

result
    The command-specific result returned by the DC upon command completion.

DESCRIPTION
Perform registration task with a Discovery Controller (DC). Three tasks are supported: register, deregister, and registration update.

RETURN
0 on success; on failure -1 is returned and errno is set